## Google Translate V3 Glossary Manager

The primary use case for this module is:

- Read and write a CSV file stored on private files for the translations
- Download and upload CSV files from Google Cloud Storage for the Google translation glossaries

This module has a form for each language to manage the CSV for the Google Translate
glossaries.

The form will read from a CSV file stored in the private file storage and then write
to the CSV file when saved. When the form is rendered the glossary data is fetched from
the cloud storage and save as a CSV in the private files to be used by the form. Upon
saving the form the CSV is written and uploaded to the cloud storage.

## REQUIREMENTS

- tmgmt_google_v3:tmgmt_google_v3
- google/cloud-storage

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: <https://www.drupal.org/node/895232> for further information.

## CONFIGURATION
- Go to the configuration page at `/admin/config/regional/google-v3-glossary`
- Set the Google Cloud Storage bucket name
- Set the path for each language

- Go to the glossary overview page at `/admin/tmgmt/translators/google_v3/glossaries`
- Click a language to manage the glossary
